Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Trusted Contributor
Posts: 145
Registered: ‎01-23-2012
My Device: 9300
My Carrier: airtel

Unable to install the app

Hi All,

 

            I uploaded the app in the app world. After approved i try to download the app one of the device i mentioned in the support device but i getting like this "Unavailable for this device". What should i do, This device is showing In app world site, support device section.

    

 

 

 

 

Thanks in advance

Developer
Posts: 206
Registered: ‎02-22-2011
My Device: BB TORCH & 9800
My Carrier: idea

Re: Unable to install the app

once check the OS level, While submitting to appworld which OS version u selected and now for which OS device u are trying to download?.
*****************************************************************************
* Give kudos when you like it
* Mark it as a solution if it fixes your issue
Trusted Contributor
Posts: 145
Registered: ‎01-23-2012
My Device: 9300
My Carrier: airtel

Re: Unable to install the app

Hi  tklanilkumar thanks for your response, While uploading time i selected os 5 and iam using device have os 6 is using.

 

 

 

 

 

 

 

Thanks

 

Developer
Posts: 206
Registered: ‎02-22-2011
My Device: BB TORCH & 9800
My Carrier: idea

Re: Unable to install the app

So then there should be no problem because forward compatibility is there. you are checking in which device, tell me for 5.0 for which device u submitted in app store now for which device u r checking.
*****************************************************************************
* Give kudos when you like it
* Mark it as a solution if it fixes your issue
Trusted Contributor
Posts: 145
Registered: ‎01-23-2012
My Device: 9300
My Carrier: airtel

Re: Unable to install the app

Hi tklanilkumar,

                      I tested bb curve 9300 in that os version is 5.0, in this device i can download the app. But in bold 9700, using os version is 6, in this device iam not able to download the app;

Developer
Posts: 206
Registered: ‎02-22-2011
My Device: BB TORCH & 9800
My Carrier: idea

Re: Unable to install the app

Did u check in 9700 of OS 5?
*****************************************************************************
* Give kudos when you like it
* Mark it as a solution if it fixes your issue
Trusted Contributor
Posts: 145
Registered: ‎01-23-2012
My Device: 9300
My Carrier: airtel

Re: Unable to install the app

Hi tklanilkumar,

 

                        I didn't check , because i don't have that device whis is using os 5. But another app i uploaded the market same way it is running in both devices.

Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: Unable to install the app

When you create your release bundle, you specify the target devices for the bundle.  These can be changed for a released product, so you can alter the devices.  I would check that you have specified the device in the list of supported devices for your app.

 

The screen you need to get to is not obvious.  Start in Manage Products, click on the magnifying glass that lets you view the releases for a product, click the edit (pencil) icon for the product and then select the "Add Release Level" tab.  You will be able to edit the devices by clicking on the Edit icon (pencil) for the devices for the bundle.

 

Hope this helps. 

Trusted Contributor
Posts: 145
Registered: ‎01-23-2012
My Device: 9300
My Carrier: airtel

Re: Unable to install the app

Hi peter_strange,

 

               Thanks for your reply, I checked in vendor portal device edit option, their also device i tested already ticked.

This is my new version of app, in this new version i added 3 bundle for 3 different resolutions, before it was only 1 resolution. Is this make any problem?

 

 

 

Thanks in advance

Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: Unable to install the app

It shouldn't.  As I understand it the App World processing looks for a match for the device and OS, so as long as there is one bundle in the release that matches, it should supply that bundle.

 

That said, App World has had some hickups in my experience with respect to doing this.  There appear to be a number of caches around the place, so if this is a recent change, it maight take a short time for everything to be replicated everywhere.